Loading...
Searching...
No Matches
pqxx::errorhandler Class Referenceabstract
Inheritance diagram for pqxx::errorhandler:
[legend]

## Public Member Functions

| errorhandler (connection &)
virtual bool | operator() (char const msg[]) noexcept=0
| errorhandler (errorhandler const &)=delete
errorhandler & | operator= (errorhandler const &)=delete

## Friends

class | internal::gate::errorhandler_connection

## Detailed Description

Deprecated:
  Base class for obsolete error-handler callbacks.

This method of handling errors is obsolete. Use a "notice handler" instead.

Warning
  Strange things happen when a result object outlives its parent connection. If you register an error handler on a connection, then you must not access the result after destroying the connection. This applies even if you destroy the error handler first!

## Constructor & Destructor Documentation

## errorhandler()

pqxx::errorhandler::errorhandler | ( | connection & | cx | ) |

explicit

Implementation of pqxx::errorhandler and helpers.

pqxx::errorhandler allows programs to receive errors and warnings.

Copyright (c) 2000-2024, Jeroen T. Vermeulen.

See COPYING for copyright license. If you did not receive a file called COPYING with this source code, please notify the distributor of this mistake, or contact the author.

## Member Function Documentation

## operator()()

virtual bool pqxx::errorhandler::operator() | ( | char const | msg[] | ) |

pure virtual noexcept

Define in subclass: receive an error or warning message from the database.

Returns
  Whether the same error message should also be passed to the remaining, older errorhandlers.

Implemented in pqxx::quiet_errorhandler.

The documentation for this class was generated from the following files:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/errorhandler.hxx
- /build/libpqxx-dRO3di/libpqxx-7.10.0/src/errorhandler.cxx